Bug 1463863 - python-multidict-3.1.3 is available
python-multidict-3.1.3 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-multidict (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Athmane Madjoudj
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 20:21 EDT by Upstream Release Monitoring
Modified: 2017-07-24 20:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-multidict-3.1.3-1.fc26 python-multidict-3.1.3-1.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-24 15:21:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2017-06-21 20:21:37 EDT
Latest upstream release: 3.0.0
Current version/release in rawhide: 2.1.6-1.fc27
URL: https://github.com/aio-libs/multidict

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11132/
Comment 1 Upstream Release Monitoring 2017-06-25 20:19:30 EDT
Latest upstream release: 3.1.0
Current version/release in rawhide: 2.1.6-1.fc27
URL: https://github.com/aio-libs/multidict

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11132/
Comment 2 Fabian Affolter 2017-07-03 02:22:03 EDT
Is there an ETA for 3.1.0?
Comment 3 Athmane Madjoudj 2017-07-03 13:09:18 EDT
Hi Fabian,

I'll push it in rawhide in few, do you need it in stable branches too ?
Comment 4 Athmane Madjoudj 2017-07-03 16:07:17 EDT
Ok, built in rawhide, however the test suite fails, there's some import weirdness to be fixed



==================================== ERRORS ====================================
_____________________ ERROR collecting tests/test_istr.py ______________________
tests/test_istr.py:1: in <module>
    from multidict._multidict import istr
E   ImportError: cannot import name 'istr'
___________________ ERROR collecting tests/test_multidict.py ___________________
tests/test_multidict.py:6: in <module>
    from multidict._multidict import (MultiDictProxy,
E   ImportError: cannot import name 'istr'
____________________ ERROR collecting tests/test_version.py ____________________
tests/test_version.py:1: in <module>
    from multidict._multidict import (MultiDict, CIMultiDict, getversion)
E   ImportError: cannot import name 'getversion'
====================== 6 passed, 3 error in 0.22 seconds =======================
error: Bad exit status from /var/tmp/rpm-tmp.71CLU8 (%check)
Comment 5 Upstream Release Monitoring 2017-07-08 20:19:05 EDT
Latest upstream release: 3.1.1
Current version/release in rawhide: 3.1.0-1.fc27
URL: https://github.com/aio-libs/multidict

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11132/
Comment 6 Upstream Release Monitoring 2017-07-14 20:20:15 EDT
Latest upstream release: 3.1.3
Current version/release in rawhide: 3.1.0-1.fc27
URL: https://github.com/aio-libs/multidict

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11132/
Comment 7 Fedora Update System 2017-07-16 06:45:10 EDT
python-multidict-3.1.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-daf6021537
Comment 8 Fedora Update System 2017-07-16 22:49:58 EDT
python-multidict-3.1.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a4348964a2
Comment 9 Fedora Update System 2017-07-16 23:25:19 EDT
python-multidict-3.1.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-daf6021537
Comment 10 Fedora Update System 2017-07-24 15:21:31 EDT
python-multidict-3.1.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-07-24 20:24:02 EDT
python-multidict-3.1.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.